%define name smeserver-xt_geoip
%define version 1.3.1
%define release 03

Summary: smserver rpm to setup database, update and configuration for xt_geoip module with a panel.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://wiki.contribs.org/Main_Page
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz
Patch0: %{name}-%{version}-comp_e-smith-manager.patch
Patch1: %{name}-%{version}-update_base.patch

BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: server-manager >= 0.1.0-23
Requires: xtables-addons = 2.14
Requires: GeoIP = 1.5.0
Requires: libmaxminddb >= 1.1.1
Requires: libmaxminddb-devel >= 1.1.1
Requires: geolite2-country
Requires: geolite2-city
AutoReqProv: no

%description
smserver rpm to setup database, update and configuration for xt_geoip module with a panel.

%changelog
* Wed Jan 06 2021 Michel Begue <mab974@gmail.com> 1.3.1-03.sme
- Back to compatibility with e-smith-manager
- (s)qpsmtpd replace (s)smtpd (services)
- remove 'update_base' script template

* Fri Jul 31 2020 Michel Begue <mab974@gmail.com> 1.3.1-01.sme
- initial release for smeserver-manager (sme10)
- [1.0.1-26 sme9]
- xtables-addons v2.14

%prep

%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT | egrep -v "usr/share/xt_geoip/geoip_" \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%files
%attr(0755, root, root) /usr/share/xt_geoip/geoip_*
%attr(0750, root, root) /usr/share/xt_geoip/xt_geoip_dl
%attr(0750, root, root) /usr/share/xt_geoip/update_base
